Bug 63244

Summary: [Qt] Fix tst_QWebPage::showModalDialog() API test
Product: WebKit Reporter: Csaba Osztrogonác <ossy>
Component: WebKit QtAssignee: Jocelyn Turcotte <jturcotte>
Status: RESOLVED FIXED    
Severity: Normal CC: hausmann, jturcotte, ossy, sergio.ahumada
Priority: P2 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 38654    
Attachments:
Description Flags
Remove QEXPECT_FAIL for tests marked as XPASS.
none
Patch hausmann: review+

Description Csaba Osztrogonác 2011-06-23 04:28:37 PDT
http://build.webkit.org/builders/Qt%20Linux%20Release/builds/34519

FAIL!  : tst_QWebPage::showModalDialog() Compared values are not the same
   Actual (res): 
   Expected (QString("This is a test")): This is a test
   Loc: [/ramdisk/qt-linux-release/build/Source/WebKit/qt/tests/qwebpage/tst_qwebpage.cpp(2796)]
Comment 1 Csaba Osztrogonác 2011-06-23 05:50:20 PDT
Marked as expected fail until fix: http://trac.webkit.org/changeset/89560
Comment 2 Sergio Ahumada 2012-02-09 14:20:33 PST
This test is passing in Qt Project CI

2/10/12 7:06:24 AM EST: XPASS  : tst_QWebPage::showModalDialog() COMPARE()
2/10/12 7:06:24 AM EST:    Loc: [../../../src/3rdparty/webkit/Source/WebKit/qt/tests/qwebpage/tst_qwebpage.cpp(2830)]
Comment 3 Sergio Ahumada 2012-07-16 04:15:11 PDT
Created attachment 152507 [details]
Remove QEXPECT_FAIL for tests marked as XPASS.

This patch also applies to https://bugs.webkit.org/show_bug.cgi?id=63245
Comment 4 Simon Hausmann 2012-07-24 00:23:43 PDT
Comment on attachment 152507 [details]
Remove QEXPECT_FAIL for tests marked as XPASS.

Hmm, in principle this sounds okay to me. But the patch doesn't apply, it uses src/3rdparty/webkit as prefix. Did you make this patch against Qt 4.8? It sounds like it needs to be rebased against WebKit trunk.

The patch is also missing a ChangeLog entry.
Comment 5 Jocelyn Turcotte 2012-11-09 08:54:53 PST
Created attachment 173315 [details]
Patch
Comment 6 Simon Hausmann 2012-11-10 06:01:39 PST
Comment on attachment 173315 [details]
Patch

Makes you wonder how this ever passed :)
Comment 7 Jocelyn Turcotte 2012-11-12 07:31:31 PST
Committed r134234: <http://trac.webkit.org/changeset/134234>